DEALLOCATE(7)

NAME
DEALLOCATE - remove a prepared query

SYNOPSIS

   DEALLOCATE [ PREPARE ] plan_name

  INPUTS

PREPARE
    This keyword is ignored.

plan_name
    The name of the prepared query to remove.

  OUTPUTS

DEALLOCATE
    The prepared query was removed successfully.

DESCRIPTION

DEALLOCATE is used to remove a previously prepared query. If you do not explicitly DEALLOCATE a prepared query, it is removed when the session ends.

For more information on prepared queries, see PREPARE [prepare(7)].

COMPATIBILITY

  SQL92

SQL92 includes a DEALLOCATE statement, but it is only for use in embedded SQL clients.